# Generated by Django 2.1.2 on 2018-12-10 08:22

import blog.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    atomic=False

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('blog', '0002_auto_20181207_1434'),
    ]

    operations = [
        migrations.CreateModel(
            name='card_list',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('due_date', models.DateTimeField()),
                #('attachment', models.FileField(upload_to=blog.models.user_directory_path)),
                ('attachment', models.FileField(upload_to='uploads/')),
                ('card_admin', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('card_members', models.ManyToManyField(related_name='card_members', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='list_board',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.RenameField(
            model_name='board',
            old_name='author',
            new_name='board_admin',
        ),
        migrations.RemoveField(
            model_name='board',
            name='text',
        ),
        migrations.AddField(
            model_name='list_board',
            name='board_list',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='blog.Board'),
        ),
        migrations.AddField(
            model_name='list_board',
            name='list_admin',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='list_board',
            name='list_members',
            field=models.ManyToManyField(related_name='list_members', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='card_list',
            name='list_card',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='blog.list_board'),
        ),
    ]
